;
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         CWenzel <charles@wenzel.com>
;
; Script Function:
;	Blinks ScrollLock every minute for 2 seconds. (Used to trigger Keyboard Wedgie data taker.)
;	Starts at 10 AM, UTC (5 AM, CDT) and stops at 2 AM, UTC (9 PM, CDT).
; 	

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

Waituntil10:
Sleep,1000
IfNotEqual,A_Hour,5,Goto,waituntil10

ScrollLockBlink:
IfEqual,A_Hour,21,ExitApp
IfEqual,A_Sec,00,SetScrollLockState, on
IfEqual,A_Sec,02,SetScrollLockState, off
Sleep,500
Goto, ScrollLockBlink
